API Docs / Operations / Statements / Send ContactStatement Email

Send ContactStatement Email

POST /tenants/{tenant}/contacts/{code}/statements/{year}/{month}/emails

Generates the PDF of the contact's statement for the tax month ending in the given year and month and queues an email of it, to the given recipient or the contact's own email address, optionally copied to a second address; 202 with the queued email. The caller's own email address must be verified, and there must be a recipient (400).

Parameters

NameTypeDescription
tenant* path string

The tenant code (the organisation's URL stub)

The tenant code (the organisation's URL stub)

code* path string
month* path integer (int32)
year* path integer (int32)
{
  "email": "user@example.com",
  "name": "string",
  "ccEmail": "user@example.com",
  "ccName": "string"
}

Responses

202 Accepted
400 Bad Request
application/problem+json
401 Unauthorized – Invalid or missing API key
403 Forbidden
application/problem+json
404 Not Found
application/problem+json